Subject: Re: shaderc fails its test suite on all hydra-supported systems

From: Rutger Helling <[email-masked]>
Date: Wed, 27 Jun 2018 11:07:38 +0200

Hi Mark,

unfortunately I don't really have the time to look at it in-depth now.
I've disabled the tests for now so I'm not blocking you. I'll take
another look at the tests after you've fixed 'meson-build-system.

On Tue, 26 Jun 2018 14:41:59 -0400
Mark H Weaver <[email-masked]> wrote:

> Hi Rutger,
> 
> In commit 7f540654873a2761746bdc43be4727cad99b92c0, you updated
> 'sharerc' to upstream commit be8e087 and enabled tests.
> 
> It turns out that it fails its test suite on all systems supported by
> Hydra, but the failure is effectively being ignored, because of
> <https://bugs.gnu.org/31974>.
> 
> I'd like to fix 'meson-build-system' to always return #t from phases
> and to report errors using exceptions, which would effectively work
> around the aforementioned bug, but then that would cause 'shaderc' to
> start failing in earnest.
> 
> See <https://bugs.gnu.org/31982> for more details.
> 
> Would you be willing to take a look and fix 'sharerc' so that it won't
> start failing when I fix 'meson-build-system'?
> 
>      Regards,
>        Mark
> 
>